Bug 550895 - Cannot adjust backlight brightness on Sony Vaio FW290
Cannot adjust backlight brightness on Sony Vaio FW290
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://vaioubuntu.wordpress.com/2008/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-27 20:14 EST by Sean Carlos
Modified: 2010-03-08 02:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-08 02:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Carlos 2009-12-27 20:14:11 EST
Description of problem:

It is impossible to dim backlight UNLESS a patched DSDT is loaded at boot time.  Then all is well.  

The full details, including work-around, were documented by an Ubuntu user here

http://vaioubuntu.wordpress.com/2008/12/04/finally-a-brightness-how-to-for-vaio-fw-series/

For Fedora, I use the tuxonice kernel to load the patched DSDT.

Version-Release number of selected component (if applicable):

All - has never worked out of the box in Fedora.

How reproducible:

Steps to Reproduce:
1.  Try to dim backlight using either keys or gnome control.
  
Actual results:

Nothing happens (unless using patched DSDT)

Expected results:

Backlight should be adjustable.

Additional info:

The backlight dimmer works out of the box using the latest (9.10) Ubuntu release - I tried it using their live CD.  So there should be a viable solution.

Hardware: Sony Vaio VGN-FW290 (and apparently others)
Video: ATI Technologies Inc Mobility Radeon HD 3650

I don't really know if this is an ACPI problem or a Kernel problem.
Comment 1 Sean Carlos 2009-12-29 08:06:07 EST
Changed component to kernel based on note in bug report 549074
Comment 2 Sean Carlos 2010-03-08 02:46:35 EST
I'm seeing this issue fixed with the current kernel 2.6.32.9-67.fc12.x86_64 - very nice.

Note You need to log in before you can comment on or make changes to this bug.